CREATE TABLE INSTAGRAM_USERS (
  ID  BIGINT PRIMARY KEY NOT NULL AUTO_INCREMENT,
  NAME VARCHAR(255) NOT NULL ,
  EMAIL VARCHAR(255) NOT NULL ,
  PASSWORD VARCHAR(1024) NOT NULL ,
  LOGIN CHAR(64) NOT NULL
)ENGINE=InnoDB DEFAULT CHARSET=UTF8;

CREATE TABLE INSTAGRAM_POSTS (
  ID BIGINT PRIMARY KEY NOT NULL AUTO_INCREMENT,
  USER_ID BIGINT NOT NULL ,
  DESCRIPTION VARCHAR(4095) NOT NULL ,
  TIMESTAMP BIGINT NOT NULL
)ENGINE=InnoDB DEFAULT CHARSET=UTF8;

CREATE TABLE INSTAGRAM_COMMENTS (
  ID BIGINT PRIMARY KEY NOT NULL AUTO_INCREMENT,
  POST_ID BIGINT NOT NULL ,
  USER_ID BIGINT NOT NULL ,
  TEXT VARCHAR(4095) NOT NULL ,
  TIMESTAMP BIGINT NOT NULL
)ENGINE=InnoDB DEFAULT CHARSET=UTF8;

CREATE TABLE INSTAGRAM_FOLLOWERS (
  FOLLOWER_ID BIGINT NOT NULL ,
  FOLLOWED_ID BIGINT NOT NULL ,
  TIMESTAMP BIGINT NOT NULL,
  PRIMARY KEY (FOLLOWER_ID, FOLLOWED_ID),
  FOREIGN KEY (FOLLOWED_ID) REFERENCES INSTAGRAM_USERS(ID),
  FOREIGN KEY (FOLLOWER_ID) REFERENCES INSTAGRAM_USERS(ID)
)ENGINE=InnoDB DEFAULT CHARSET=UTF8;

CREATE TABLE INSTAGRAM_LIKES (
  LIKER_ID BIGINT NOT NULL ,
  LIKED_POST_ID BIGINT NOT NULL ,
  TIMESTAMP BIGINT NOT NULL,
  PRIMARY KEY (LIKER_ID, LIKED_POST_ID),
  FOREIGN KEY (LIKER_ID) REFERENCES INSTAGRAM_USERS(ID),
  FOREIGN KEY (LIKED_POST_ID) REFERENCES INSTAGRAM_POSTS(ID)
)ENGINE=InnoDB DEFAULT CHARSET=UTF8;

CREATE TABLE INSTAGRAM_MESSAGES (
  ID BIGINT PRIMARY KEY NOT NULL AUTO_INCREMENT,
  SENDER_ID BIGINT NOT NULL ,
  RECEIVER_ID BIGINT NOT NULL ,
  TEXT VARCHAR(4095) NOT NULL ,
  TIMESTAMP BIGINT NOT NULL,
  FOREIGN KEY (SENDER_ID) REFERENCES INSTAGRAM_USERS(ID),
  FOREIGN KEY (RECEIVER_ID) REFERENCES INSTAGRAM_USERS(ID)
)ENGINE=InnoDB DEFAULT CHARSET=UTF8;






